commit:     4bb9ebc00061a0672da4900504d6f233384865a0
Author:     Thomas Andrejak <thomas.andrejak <AT> gmail <DOT> com>
AuthorDate: Sun Jul 17 13:11:40 2016 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Fri Aug  5 01:10:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bb9ebc0

dev-libs/libpreludedb: New package

The PreludeDB Library provides an abstraction layer upon the type and
the format of the database used to store IDMEF alerts.

 dev-libs/libpreludedb/Manifest                  |  1 +
 dev-libs/libpreludedb/libpreludedb-3.0.0.ebuild | 75 +++++++++++++++++++++++++
 dev-libs/libpreludedb/metadata.xml              | 19 +++++++
 3 files changed, 95 insertions(+)

diff --git a/dev-libs/libpreludedb/Manifest b/dev-libs/libpreludedb/Manifest
new file mode 100644
index 0000000..9041244
--- /dev/null
+++ b/dev-libs/libpreludedb/Manifest
@@ -0,0 +1 @@
+DIST libpreludedb-3.0.0.tar.gz 1269937 SHA256 
608afa449388b2fcc25dc6aa2ad74ab2f22fd03ca3a0c0cdb2588d794f82d3ca SHA512 
9d80e01be8cf028b8a843e68e45eeb84c561ff37e688fe5b8156e717f337b1db4d3de983f37a0544bf018238bec07580dce0c7208df005113efbba0aab34b981
 WHIRLPOOL 
1c700c34d05c5ba42fae40ff2597bf3f951bb49674eebfbb6ce80824bd59880f5a1402d786f00e4a5560da94c515968c11f9d84e67e88b1eedbfa02e364abd35

diff --git a/dev-libs/libpreludedb/libpreludedb-3.0.0.ebuild 
b/dev-libs/libpreludedb/libpreludedb-3.0.0.ebuild
new file mode 100644
index 0000000..c9dd3e0
--- /dev/null
+++ b/dev-libs/libpreludedb/libpreludedb-3.0.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+
+inherit autotools eutils python-r1
+
+DESCRIPTION="Framework to easy access to the Prelude database"
+HOMEPAGE="https://www.prelude-siem.org";
+SRC_URI="https://www.prelude-siem.org/pkg/src/3.0.0/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc python mysql postgres sqlite"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="dev-libs/libgcrypt:0=
+       net-libs/gnutls
+       dev-libs/libprelude
+       python? ( ${PYTHON_DEPS} )
+       mysql? ( virtual/libmysqlclient )
+       postgres? ( dev-db/postgresql:* )
+       sqlite? ( dev-db/sqlite:3 )"
+
+DEPEND="${RDEPEND}
+       doc? ( dev-util/gtk-doc )
+       sys-devel/flex
+       virtual/yacc
+       >=dev-lang/swig-3.0.7
+       virtual/pkgconfig"
+
+src_prepare() {
+       default_src_prepare
+
+       mv "${S}/configure.in" "${S}/configure.ac" || die "mv failed"
+
+       eautoreconf
+}
+
+src_configure() {
+       local python2_configure=--without-python2
+       local python3_configure=--without-python3
+
+       chk_python() {
+               if [[ ${EPYTHON} == python2* ]]; then
+                       python2_configure=--with-python2
+               elif [[ ${EPYTHON} == python3* ]]; then
+                       python3_configure=--with-python3
+               fi
+       }
+
+       if use python; then
+               python_foreach_impl chk_python
+       fi
+
+       econf \
+               --enable-easy-bindings \
+               --with-swig \
+               $(use_enable doc gtk-doc) \
+               ${python2_configure} \
+               ${python3_configure} \
+               $(use_with mysql) \
+               $(use_with postgres postgresql) \
+               $(use_with sqlite sqlite3)
+}
+
+src_install() {
+       default_src_install
+       prune_libtool_files --modules
+}

diff --git a/dev-libs/libpreludedb/metadata.xml 
b/dev-libs/libpreludedb/metadata.xml
new file mode 100644
index 0000000..c342084
--- /dev/null
+++ b/dev-libs/libpreludedb/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Thomas Andrejak</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+               The PreludeDB Library provides an abstraction layer upon the 
type and the
+               format of the database used to store IDMEF alerts. It allows 
developers
+               to use the Prelude IDMEF database easily and efficiently without
+               worrying about SQL, and to access the database independently of 
the
+               type/format of the database.
+       </longdescription>
+</pkgmetadata>

Reply via email to